<template>
    <!--begin::Card-->
        <div class="col-xl-3 col-lg-4 col-md-6 col-sm-12">
            <div class="card project-block card-custom gutter-b card-stretch w-100">
                <!--begin::Body-->
                <div class="card-body">
                    <!--begin::Info-->
                    <div class="d-flex align-items-center">
                        <!--begin::Pic-->
                        <div class="flex-shrink-0 mr-2 symbol symbol-60 symbol-circle">
                            <img src="img/default-projet.png" alt="image" />
                        </div>
                        <!--end::Pic-->
                        <!--begin::Info-->
                        <div class="d-flex flex-column mr-auto">
                            <!--begin: Title-->
                            <div class="d-flex flex-column mr-auto">
                                <a href="#" class="text-dark text-hover-primary font-size-h4 font-weight-bolder mb-2">{{ entity.titre}}</a><br/>
                                <span class="text-muted font-weight-bold">Ajouté par : {{ entity.entreprise ?  entity.entreprise.nom_commercial : "Non precisé" }}</span>
                            </div>
                            <!--end::Title-->
                        </div>

                        <div class="mc_content">
                            <div class="mc-ud">
                                <button v-if="true" type="button" title="Voir le projet" class="btn">
                                    <router-link :to="'/projets/'+entity.id"><i class="fas  fa-eye"></i></router-link>
                                </button>
                                <button v-if="user.id === entity.creatable_id ||  user.type==='admin' || user.id === entity.responsable_id" type="button" title="Modifier le projet" class="btn" @click="updateProjet">
                                        <i class="fas  fa-edit"></i>
                                </button>
                                <button v-if="user.id === entity.creatable_id ||  user.type==='admin' || user.id === entity.responsable_id" type="button" title="Supprimer le projet" class="btn" @click="deleteProjet">
                                        <i class="fas  fa-trash"></i>
                                </button>
                                <button type="button" title="commentaire" class="btn">
                                    <span class="badge badge-warning navbar-badge">{{ entity.comments_count }}</span>
                                        <i class="fas  fa-comment"></i>
                                </button>
                            </div>
                        </div>
                        <!--end::Info-->
                    </div>
                    <!--end::Info-->
                    <!--begin::Description-->
                    <div class="mb-10 mt-3 font-weight-bold block-description">{{ entity.sumDescription }}</div><hr/>
                    <!--end::Description-->
                    <!--begin::Data-->
                    <div class="d-flex mb-5">
                        <div class="d-flex align-items-center mr-2">
                            <span class="font-weight-bold mr-2">Debut :</span>
                            <span class="btn btn-light-primary btn-sm font-weight-bold btn-upper btn-text">{{ dateFormat(entity.date_debut_prev) }}</span>
                        </div>
                        <div class="d-flex align-items-center">
                            <span class="font-weight-bold mr-2">Fin :</span>
                            <span class="btn btn-light-danger btn-sm font-weight-bold btn-upper btn-text">{{ dateFormat(entity.date_fin_prev) }}</span>
                        </div>
                    </div>
                    <!--end::Data-->
                    <!--begin::Progress-->
                    <div class="d-flex mb-5 align-items-cente">
                        <span class="d-block font-weight-bold mr-5">Etat d'avancement</span>
                        <div class="d-flex flex-row-fluid align-items-center">
                            <div class="progress progress-xs mt-2 mb-2 w-100">
                                <div class="progress-bar bg-success" role="progressbar" :style= "{width: entity.avancement+'%'}" aria-valuenow="50" aria-valuemin="0" aria-valuemax="100"></div>
                            </div>
                            <span class="ml-3 font-weight-bolder">{{ entity.avancement }} %</span>
                        </div>
                    </div>
                    <!--ebd::Progress-->

                    <div class="d-flex mb-5">
                        <div class="d-flex align-items-center mr-7">
                            <span class="font-weight-bold mr-4">Budget :</span>
                            <span class="">{{ entity.budget }} F CFA</span>
                        </div>
                    </div>
                </div>
                <!--end::Body-->
                <!--begin::Footer-->
                <div class="card-footer d-flex align-items-center">
                    <div class="d-flex justify-content-between w-100">
                        <div class="d-flex align-items-center mr-7">
                            <span class="svg-icon">
                                <i class="fas fa-user"></i>
                            </span>
                            <!-- <a href="#" class="font-weight-bolder text-primary ml-2">{{ entity.creatable?entity.creatable.fullName:'non precisé'}}</a> -->
                            <!-- <a href="#" v-else-if="entity.creatable_id" class="font-weight-bolder text-primary ml-2">{{entity.creatable_id}}</a>
                            <a href="#" v-else class="font-weight-bolder text-primary ml-2">Non precisé</a> -->
                        </div>
                        <div class="d-flex align-items-center mr-7">
                            <span class="svg-icon">
                                <i class="fas fa-calendar"></i>
                            </span>
                            <a href="#" class="font-weight-bolder text-primary ml-2">{{entity.created_at|toDate}}</a>
                        </div>
                    </div>
                </div>
                <!--end::Footer-->
            </div>
        </div>
<!--end:: Card-->
</template>

<script>
	import  Vuetable from "vuetable-2/src/components/Vuetable";
    import pa from './../../components/pagination/Pagination'
    import Form from "./../../classes/Form"
    import Master from "./../Master.vue";
    import Prolongement from "./../../components/ProlongementLocation.vue";
    import NouveauProjet from "./NouveauProjet"
    import moment from 'moment'
    import { mapGetters } from 'vuex'

	export default {
        mixins: [Master],

        props: {
            entity: {
                type: Object,
                required: true
            },
        },
        created()
        {
            // axios.get("/examens").then((response) =>
            // {
            //     this.examens = response.data;
            //     //envoie un event pour signifier le chargement des options
            //     this.$emit('initOption');
            //     // this.pageInit =true
            // },
            // (error) =>
            // {
            //     this.isLoading = false
            // });
        },

        data(){
            return{
                examens : {},
                user:window.App.user
            }
        },
        methods: {
            creatable(projet){
               if(projet.creatable_id != null )
               {
                    if(projet.creatable_type != "App\User")
                    {
                        return projet.creatable.nom
                    }
                    else
                    {
                     return projet.creatable.fullName
                    }
               }
               else
               {
                  return 'Non précisé'
                }

            },
             updateProjet()
            {
                window.event.$emit('update-projet-event',this.entity)
            },
            deleteProjet()
            {
                  //On demande la confirmation de la suppression
                    alertConfirm("Voulez-vous supprimer ce projet ?","Suppréssion d'un projet")
                    .then(result => {
                        //On réinitialise le chargement
                        this.isLoading = true
                        if(result)
                        {
                            this.$store.dispatch('projets/removeProjet',this.entity).then((response) =>
                            {
                                    this.isLoading = false
                                    flash("<span>Supprimé <strong>avec succès</strong></span>",'success')
                            },
                            (error) =>
                            {
                                this.isLoading = false
                            })
                        }
                    })
                    .catch(error => {
                        reject(error);
                    });
            },

            format_date(value){
                if (value) {
                return moment(String(value)).format('DD/MM/YYYY');
                }
            },

            dateFormat : function (date) {
                return moment(date, 'YYYY-MM-DD').format('DD/MM/YYYY');
            }
        },

		components: {
            NouveauProjet,
        },

        mounted() {
            this.pageInit = true
        },
	}
</script>

<style scoped="css">
.col-xl-4 {
    -webkit-box-flex: 0;
    -ms-flex: 0 0 33.33333%;
    flex: 0 0 33.33333%;
    max-width: 33.33333%;
}

.card.card-custom.card-stretch.gutter-b {
    height: calc(100% - 25px);
}
.card.card-custom.card-stretch {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: stretch !important;
    -ms-flex-align: stretch !important;
    align-items: stretch !important;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    height: 100%;
}
.card.card-custom {
    -webkit-box-shadow: 0px 0px 30px 0px rgba(82, 63, 105, 0.05);
    box-shadow: 0px 0px 30px 0px rgba(82, 63, 105, 0.05);
    border: 0;
}
.gutter-b {
    margin-bottom: 25px;
}
.card {
    position: relative;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -ms-flex-direction: column;
    flex-direction: column;
    min-width: 0;
    word-wrap: break-word;
    background-color: #ffffff;
    background-clip: border-box;
    border: 1px solid #EBEDF3;
    border-radius: 0.42rem;
}

.card.card-custom > .card-body {
    padding: 2rem 2.25rem;
}
.card-body {
    -webkit-box-flex: 1;
    -ms-flex: 1 1 auto;
    flex: 1 1 auto;
    min-height: 1px;
    padding: 2.25rem;
}

.symbol.symbol-circle {
    border-radius: 50%;
}
.symbol {
    display: inline-block;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    position: relative;
    border-radius: 0.42rem;
}
.mr-4, .mx-4 {
    margin-right: 1rem !important;
}
.flex-shrink-0 {
    -ms-flex-negative: 0 !important;
    flex-shrink: 0 !important;
}

.symbol.symbol-60 > img {
    width: 100%;
    max-width: 60px;
    height: 60px;
}
.symbol.symbol-circle > img {
    border-radius: 50%;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    width: 100%;
    max-width: 50px;
    height: 50px;
}
.symbol > img {
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    border-radius: 0.42rem;
}
img {
    vertical-align: middle;
    border-style: none;
}

a.text-hover-primary:hover, .text-hover-primary:hover {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
    color: #6993FF !important;
}
a.text-dark:hover, a.text-dark:focus {
    color: black !important;
}
html a:hover, html a:active, html a:focus, body a:hover, body a:active, body a:focus {
    text-decoration: none !important;
}
a:hover {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
a.text-hover-primary, .text-hover-primary {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
a:hover {
    color: #1d5cff;
    text-decoration: underline;
}
.font-size-h4 {
    font-size: 1.35rem !important;
}
.text-dark {
    color: #181C32 !important;
}
.text-dark {
    color: #181C32 !important;
}
.font-weight-bolder {
    font-weight: 600 !important;
}
.mb-1, .my-1 {
    margin-bottom: 0.25rem !important;
}
a, button {
    outline: 0 !important;
}
a {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
a {
    color: #6993FF;
    text-decoration: none;
    background-color: transparent;
}

.btn.btn-clean i {
    color: #B5B5C3;
}
.btn.btn-icon i {
    padding: 0;
    margin: 0;
}
.btn.btn-sm i, .btn-group-sm > .btn i {
    font-size: 1.3rem;
    padding-right: 0.35rem;
}
.btn i {
    font-size: 1.3rem;
    padding-right: 0.35rem;
    vertical-align: middle;
    line-height: 1;
    display: -webkit-inline-box;
    display: -ms-inline-flexbox;
    display: inline-flex;
}
.btn i {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
.ki {
    font-size: 1rem;
}
i {
    font-size: 1.25rem;
    color: #B5B5C3;
}

.mb-5, .my-5 {
    margin-bottom: 1.25rem !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.mr-7, .mx-7 {
    margin-right: 1.75rem !important;
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.btn:not(:disabled):not(.disabled) {
    cursor: pointer;
}
.btn.btn-light-primary {
    color: #6993FF;
    background-color: #E1E9FF;
    border-color: transparent;
}
.btn.btn-text {
    cursor: text;
}
.btn {
    outline: none !important;
    vertical-align: middle;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
.font-weight-bold {
    font-weight: 500 !important;
    text-align: justify;
}
.btn-sm, .btn-group-sm > .btn {
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.42rem;
}
.btn {
    display: inline-block;
    font-weight: normal;
    color: #3F4254;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
        border-top-color: transparent;
        border-right-color: transparent;
        border-bottom-color: transparent;
        border-left-color: transparent;
    padding: 0.65rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.42rem;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
}

.font-weight-bold {
    font-weight: 500 !important;
}
.mr-4, .mx-4 {
    margin-right: 1rem !important;
}

.mb-5, .my-5 {
    margin-bottom: 1.25rem !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.flex-row-fluid {
    -webkit-box-flex: 1;
    flex: 1 auto;
    -ms-flex: 1 0 0px;
    min-width: 0;
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.btn:not(:disabled):not(.disabled) {
    cursor: pointer;
}
.btn.btn-light-danger {
    color: #F64E60;
    background-color: #FFE2E5;
    border-color: transparent;
}
.btn.btn-text {
    cursor: text;
}
.btn {
    outline: none !important;
    vertical-align: middle;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease, -webkit-box-shadow 0.15s ease;
}
.font-weight-bold {
    font-weight: 500 !important;
}
.btn-sm, .btn-group-sm > .btn {
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.42rem;
}
.btn {
    display: inline-block;
    font-weight: normal;
    color: #3F4254;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
        border-top-color: transparent;
        border-right-color: transparent;
        border-bottom-color: transparent;
        border-left-color: transparent;
    padding: 0.65rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.42rem;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
}


.font-weight-bold {
    font-weight: 500 !important;
}
.mr-4, .mx-4 {
    margin-right: 1rem !important;
}


.card.card-custom > .card-footer {
    background-color: #29384d;
}

.card.card-custom > .card-footer a {
    color: #ffffff !important;
}


.card-footer:last-child {
    border-radius: 0 0 calc(0.42rem - 1px) calc(0.42rem - 1px);
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.card-footer {
    padding: 2rem 2.25rem;
    background-color: #ffffff;
    border-top: 1px solid #EBEDF3;
}

.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}


.mr-7, .mx-7 {
    margin-right: 1.75rem !important;
}
.align-items-center {
    -webkit-box-align: center !important;
    -ms-flex-align: center !important;
    align-items: center !important;
}
.d-flex {
    display: -webkit-box !important;
    display: -ms-flexbox !important;
    /* display: flex !important; */
}

.btn[data-v-74aa1ca0]:not(:disabled):not(.disabled) {
    cursor: pointer;
}
.btn[data-v-74aa1ca0]:not(:disabled):not(.disabled) {
    cursor: pointer;
}
html a[data-v-74aa1ca0]:hover, html a[data-v-74aa1ca0]:active, html a[data-v-74aa1ca0]:focus, body a[data-v-74aa1ca0]:hover, body a[data-v-74aa1ca0]:active, body a[data-v-74aa1ca0]:focus {
    text-decoration: none !important;
}
a[data-v-74aa1ca0]:hover {
    color: #1d5cff;
    text-decoration: underline;
}
a[data-v-74aa1ca0]:hover {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
}
.btn[data-v-74aa1ca0] {
    display: inline-block;
    font-weight: normal;
    color: #3F4254;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
        border-top-color: transparent;
        border-right-color: transparent;
        border-bottom-color: transparent;
        border-left-color: transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-bottom-color: transparent;
    border-left-color: transparent;
    padding: 0.65rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.42rem;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}
.btn-sm[data-v-74aa1ca0], .btn-group-sm > .btn[data-v-74aa1ca0] {
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.42rem;
}
.btn[data-v-74aa1ca0] {
    outline: none !important;
    vertical-align: middle;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
}
.btn[data-v-74aa1ca0] {
    display: inline-block;
    font-weight: normal;
    color: #3F4254;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    border-top-color: transparent;
    border-right-color: transparent;
    border-bottom-color: transparent;
    border-left-color: transparent;
    padding: 0.65rem 1rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.42rem;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, -webkit-box-shadow 0.3s ease-in-out;
    -webkit-transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
    transition: color 0.3s ease-in-out, background-color 0.3s ease-in-out, border-color 0.3s ease-in-out, box-shadow 0.3s ease-in-out;
}
.btn-sm[data-v-74aa1ca0], .btn-group-sm > .btn[data-v-74aa1ca0] {
    padding: 0.55rem 0.75rem;
    font-size: 0.925rem;
    line-height: 1.35;
    border-radius: 0.42rem;
}
.btn[data-v-74aa1ca0] {
    outline: none !important;
    vertical-align: middle;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
}
.btn:hover {
    color: #ffffff;
    text-decoration: none;
}
.btn:hover {
    color: #212529;
    text-decoration: none;
}
.text-sm .btn {
    font-size: 0.875rem !important;
}
.btn:hover {
    color: #212529;
    text-decoration: none;
}
.btn:hover {
    color: #212529;
    text-decoration: none;
}
a[data-v-74aa1ca0] {
    color: #6993FF;
    text-decoration: none;
    background-color: transparent;
}
a[data-v-74aa1ca0] {
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, -webkit-box-shadow 0.15s ease;
    -webkit-transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
    transition: color 0.15s ease, background-color 0.15s ease, border-color 0.15s ease, box-shadow 0.15s ease;
}
a[data-v-74aa1ca0], button[data-v-74aa1ca0] {
    outline: 0 !important;
}
a:hover {
    color: #1e70bf;
    text-decoration: none;
}
a:hover {
    color: #f3a105;
    text-decoration: none;
}
a:hover {
    color: #0056b3;
    text-decoration: none;
}
a:hover {
    color: #114809;
    text-decoration: underline;
}
.btn-sm, .btn-group-sm > .btn {
    padding: 0.25rem 0.5rem;
    font-size: 0.875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}
.btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 1rem;
    line-height: 1.5;
    border-radius: 0.25rem;
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
.btn-sm, .btn-group-sm > .btn {
    padding: 0.25rem 0.5rem;
    font-size: 0.7875rem;
    line-height: 1.5;
    border-radius: 0.2rem;
}
.btn {
    display: inline-block;
    font-weight: 400;
    color: #212529;
    text-align: center;
    vertical-align: middle;
    cursor: pointer;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: transparent;
    border: 1px solid transparent;
    padding: 0.375rem 0.75rem;
    font-size: 0.9rem;
    line-height: 1.6;
    border-radius: 0.25rem;
    -webkit-transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
    transition: color 0.15s ease-in-out, background-color 0.15s ease-in-out, border-color 0.15s ease-in-out, box-shadow 0.15s ease-in-out;
}
a {
    color: #4183C4;
    text-decoration: none;
}
a {
    background-color: transparent;
    -webkit-text-decoration-skip: objects;
}
a {
    color: #218c12;
    text-decoration: none;
    background-color: transparent;
}
a {
    color: #218c12;
    text-decoration: none;
    background-color: transparent;
}
*, ::before, ::after {
    -webkit-box-sizing: inherit;
    box-sizing: inherit;
}
*, ::before, ::after {
    box-sizing: border-box;
}
*, ::before, ::after {
    box-sizing: border-box;
}
.card[data-v-74aa1ca0] {
    word-wrap: break-word;
}
.card {
    word-wrap: break-word;
}
.card {
    word-wrap: break-word;
}
.text-sm {
    font-size: 0.875rem !important;
}
body {
    font-family: 'Lato', 'Helvetica Neue', Arial, Helvetica, sans-serif;
    font-size: 14px;
    line-height: 1.4285em;
    color: rgba(0, 0, 0, 0.87);
}
body {
    color: #37474F;
    font-family: "Raleway", sans-serif;
    font-weight: 300;
    font-size: 16px;
}
body {
    font-family: "Source Sans Pro", -apple-system, BlinkMacSystemFont, "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif, "Apple Color Emoji", "Segoe UI Emoji", "Segoe UI Symbol";
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-align: left;
}
body {
    font-family: "Nunito", sans-serif;
    font-size: 0.9rem;
    font-weight: 400;
    line-height: 1.6;
    color: #212529;
    text-align: left;
}

.progress-xs {
    height: 7px;
    width: 70% !important;
}

.mc_content{
    width: 10%;
}

.fa-edit{
    color:green;
}

.fa-trash{
    color:rgb(236, 127, 127);
}

.fa-eye{
    color:#045353 !important;
}

</style>
